


///////////////////////////////////////////////////////////////////////////
// Function for Transitions...
///////////////////////////////////////////////////////////////////////////

const observer = new IntersectionObserver((entries) => {
    entries.forEach((entry) => {
        console.log(entry)
        if (entry.isIntersecting) {
            entry.target.classList.add('show');

        }
        else {
            entry.target.classList.remove('show');
        }
    });
})

const hiddenElements = document.querySelectorAll('.hidden');
hiddenElements.forEach((el) => observer.observe(el));

///////////////////////////////////////////////////////////////////////////

const observerR8 = new IntersectionObserver((entries) => {
    entries.forEach((entry) => {
        console.log(entry)
        if (entry.isIntersecting) {
            entry.target.classList.add('showRight');

        }
        else {
            entry.target.classList.remove('showRight');
        }
    });
})

const hiddenElementsR8 = document.querySelectorAll('.hiddenRight');
hiddenElementsR8.forEach((el) => observerR8.observe(el));

///////////////////////////////////////////////////////////////////////////

const observerfade = new IntersectionObserver((entries) => {
    entries.forEach((entry) => {
        console.log(entry)
        if (entry.isIntersecting) {
            entry.target.classList.add('showfade');

        }
        else {
            entry.target.classList.remove('showfade');
        }
    });
})

const hiddenfadeElements = document.querySelectorAll('.hiddenfade');
hiddenfadeElements.forEach((el) => observerfade.observe(el));

///////////////////////////////////////////////////////////////////////////

const observerTop = new IntersectionObserver((entries) => {
    entries.forEach((entry) => {
        console.log(entry)
        if (entry.isIntersecting) {
            entry.target.classList.add('showTop');

        }
        else {
            entry.target.classList.remove('showTop');
        }
    });
})

const hiddenTopElements = document.querySelectorAll('.hiddenTop');
hiddenTopElements.forEach((el) => observerTop.observe(el));

///////////////////////////////////////////////////////////////////////////

const observerScale = new IntersectionObserver((entries) => {
    entries.forEach((entry) => {
        console.log(entry)
        if (entry.isIntersecting) {
            entry.target.classList.add('showScale');

        }
        else {
            entry.target.classList.remove('showScale');
        }

    });
})

const hiddenScaleElements = document.querySelectorAll('.hiddenScale');
hiddenScaleElements.forEach((el) => observerScale.observe(el));

///////////////////////////////////////////////////////////////////////////